using Lada.Framework.Data.Domains.AI;
using Lada.Framework.Data.Mappings.EntityMappings.AI;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Lada.Framework.Data.Mappings.DbContexts
{
    
    public partial class LadaDbContext
    {
        private void ApplyAIMappings(ModelBuilder builder)
        {
            builder.RegisterEntityMapping<AiCallLog, AiCallLogMap>();
            builder.RegisterEntityMapping<PromptTemplate, PromptTemplateMap>();
        }

    }


}
